DCMTK: DVPSGraphicObject Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSGraphicObject Class Reference

an item of the graphic object sequence in a presentation state (internal use only). More...

## Public Member Functions
| DVPSGraphicObject ()
| default constructor
| DVPSGraphicObject (const DVPSGraphicObject &copy)
| copy constructor
DVPSGraphicObject * | clone ()
| clone method.
virtual | ~DVPSGraphicObject ()
| destructor
OFCondition | read (DcmItem &dset)
| reads a graphic object from a DICOM dataset.
OFCondition | write (DcmItem &dset)
| writes the graphic object managed by this object to a DICOM dataset.
DVPSannotationUnit | getAnnotationUnits ()
| gets the graphic annotation units.
size_t | getNumberOfPoints ()
| gets the number of graphic points.
OFCondition | getPoint (size_t idx, Float32 &x, Float32 &y)
| gets one point from the graphic data.
DVPSGraphicType | getGraphicType ()
| gets the graphic type of this graphic object.
OFBool | isFilled ()
| checks if the graphic is filled
OFCondition | setData (size_t number, const Float32 *data, DVPSannotationUnit unit)
| sets the graphic data for this graphic object.
OFCondition | setGraphicType (DVPSGraphicType gtype)
| sets the graphic type for the graphic object
OFCondition | setFilled (OFBool filled)
| sets the graphic filled status for the graphic object

## Private Member Functions
DVPSGraphicObject & | operator= (const DVPSGraphicObject &)
| private undefined assignment operator

## Private Attributes
DcmCodeString | graphicAnnotationUnits
| VR=CS, VM=1, Type 1.
DcmUnsignedShort | numberOfGraphicPoints
| VR=US, VM=1, Type 1.
DcmFloatingPointSingle | graphicData
| VR=FL, VM=2-n, Type 1.
DcmCodeString | graphicType
| VR=CS, VM=1, Type 1.
DcmCodeString | graphicFilled
| VR=CS, VM=1, Type 1c.

## Detailed Description

an item of the graphic object sequence in a presentation state (internal use only).

This class manages the data structures comprising one item of the Graphic Object Sequence which is contained in the Graphic Annotation Sequence in a Presentation State object.

## Member Function Documentation

## ◆ clone()

DVPSGraphicObject * DVPSGraphicObject::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSGraphicObject object containing a copy of this object.

References DVPSGraphicObject().

## ◆ getAnnotationUnits()

DVPSannotationUnit DVPSGraphicObject::getAnnotationUnits | ( |  | ) |

gets the graphic annotation units.

Returns
  annotation units

## ◆ getGraphicType()

DVPSGraphicType DVPSGraphicObject::getGraphicType | ( |  | ) |

gets the graphic type of this graphic object.

Returns
  graphic type

## ◆ getNumberOfPoints()

size_t DVPSGraphicObject::getNumberOfPoints | ( |  | ) |

gets the number of graphic points.

Returns
  number of graphic points

## ◆ getPoint()

OFCondition DVPSGraphicObject::getPoint | ( | size_t | idx,
|  | Float32 & | x,
|  | Float32 & | y )

gets one point from the graphic data.

Parameters

  idx | index of the graphic point, must be < getNumberOfPoints();
  x | upon success the x value of the point is returned in this parameter
  y | upon success the y value of the point is returned in this parameter

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ isFilled()

OFBool DVPSGraphicObject::isFilled | ( |  | ) |

checks if the graphic is filled

Returns
  OFTrue if graphic is filled.

## ◆ read()

OFCondition DVPSGraphicObject::read | ( | DcmItem & | dset | ) |

reads a graphic object from a DICOM dataset.

The DICOM elements of the Graphic Object item are copied from the dataset to this object. The completeness of the item (presence of all required elements, value multiplicity) is checked. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the item of the GraphicObjectSequence from which the data is to be read

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ setData()

OFCondition DVPSGraphicObject::setData | ( | size_t | number,
|  | const Float32 * | data,
|  | DVPSannotationUnit | unit )

sets the graphic data for this graphic object.

Parameters

  number | number of graphic points in parameter "data"
  data | pointer to an array of Float32 values with a size of (at least) 2*number. The values are copied into the graphic object.
  unit | the graphic annotation units for this data.

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ setFilled()

OFCondition DVPSGraphicObject::setFilled | ( | OFBool | filled | ) |

sets the graphic filled status for the graphic object

Parameters

  filled | OFTrue if graphic is filled, OFFalse otherwise.

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ setGraphicType()

OFCondition DVPSGraphicObject::setGraphicType | ( | DVPSGraphicType | gtype | ) |

sets the graphic type for the graphic object

Parameters

  gtype | the graphic type

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ write()

OFCondition DVPSGraphicObject::write | ( | DcmItem & | dset | ) |

writes the graphic object managed by this object to a DICOM dataset.

Copies of the DICOM element managed by this object are inserted into the DICOM dataset.

Parameters

  dset | the the item of the GraphicObjectSequence to which the data is written

Returns
  EC_Normal if successful, an error code otherwise.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsgr.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2